Subject: Offline Message from Diane M michna: I have the black and gold swag cycle foo
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 25 May 2022 04:54:48 -0000

From: Diane M michna <[email-masked]>
Phone: 9518130230
Location: Winchester, United States
URL: https://swagtron.com/ebike/pedal-less-ebikes/
Department: SwagTron

I have the black and gold swag cycle footless. I need to replace the battery can you tell me how to do that please. I am mechanically inclined I can replace it myself without sending it in. But if you want me to send it in I can cuz I still have the box that I got it in

----
Zopim
https://www.zopim.com